:PROPERTIES:
:ID:       963c043e-4972-4b29-8360-223ec3465203
:END:
#+title: Nix packages
#+date: 2021-07-18 21:23:26 +08:00
#+date_modified: 2021-07-18 21:23:26 +08:00
#+language: en


- the most important component managed with [[id:3b3fdcbf-eb40-4c89-81f3-9d937a0be53c][Nix package manager]] are [[id:8f23f862-a19a-4a13-8d8f-69c280a8e072][Nix derivations]]
- derivations are basically recipes how the Nix build daemon compiles the package
- most derivations are verbose but we can easily create one with nixpkgs
- for certain setups such as common conventions for certain programming languages like Rust and Go, nixpkgs has [[https://nixos.org/manual/nixpkgs/unstable/#chap-language-support][environments created for those]];
  different versions may have changes so be sure to go into the appropriate documentation and create packages for a specific channel;
  this is significantly easier with [[id:6873de22-9eac-492c-93a8-6cdf8cbfc0f8][Nix flakes]]
